Subject: [Netconf] Comments on draft-wu-netconf-restconf-factory-restore-01

From: Balazs Lengyel <[email-masked]>
Date: Mon, 16 Jul 2018 16:35:38 -0400

Hello Qin,

Factory default Setting Capability for RESTCONF

https://tools.ietf.org/html/draft-wu-netconf-restconf-factory-restore-00

From the
ietf-system YANG module:

"system-restart : Request that the entire system be restarted
immediately. "  So we already have a restart command,

and I still not understand the difference between your
definition of reboot and restart.

If we implement this we need it both for netconf and restconf.
Can't we do it as a YANG model defining an rpc instead of a
protocol operation?

Why not make this one more rpc in ietf-system. We already have
there the system-restart.

There are
network devices that you can reset to factory default, but where
you can not read the factory-default configuration. If this is
implemented such devices must also be supported.  Actually this
i also how Netconf works. You can not read what will be the
result of a delete-config beforehand.

regards Balazs

--
Balazs Lengyel Ericsson Hungary Ltd.
Senior Specialist
Mobile: +36-70-330-7909 email: [email-masked]

---

From: Qin Wu <[email-masked]>
Date: Tue, 17 Jul 2018 03:24:06 +0000

Hi, Balazs:
发件人: Netconf [mailto:[email-masked]] 代表 Balazs Lengyel
发送时间: 2018年7月17日 4:36
收件人: [email-masked]
主题: [Netconf] Comments on draft-wu-netconf-restconf-factory-restore-01

Hello Qin,

From the ietf-system YANG module:
"system-restart : Request that the entire system be restarted immediately. "  So we already have a restart command,

and I still not understand the difference between your definition of reboot and restart.
[Qin]:system-restart means the entire system (not just NETCONF server, but also include DNS server，etc.) needs to be restarted while reboot means the NETCONF/RESTCONF server needs to be restarted. I see this slight difference.
From section 3.6 of RFC7317:
"The 'system-restart' operation can be used to restart the
   entire system (not just the NETCONF server). "

If we implement this we need it both for netconf and restconf. Can't we do it as a YANG model defining an rpc instead of a protocol operation?
Why not make this one more rpc in ietf-system. We already have there the system-restart.
[Qin]: Yes, that is the option. The problem is reboot is not system level rpc, when we talk about reboot, I believe it means device reboot or restart NETCONF/RESTCONF server rather than restart the whole system.
In addition, do you think we should define transport independent operations to support factory default setting. Such as copy-datastore?
There are network devices that you can reset to factory default, but where you can not read the factory-default configuration.
[Qin]: That’s why we introduce <factory> datastore.
If this is implemented such devices must also be supported.  Actually this i also how Netconf works. You can not read what will be the result of a delete-config beforehand.
[Qin]: Exactly.

regards Balazs

--

Senior Specialist

Mobile: +36-70-330-7909              email: [email-masked]<mailto:[email-masked]>